// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info("Hello, World! penisman");

var items = ["iron", "gold", "copper", "zinc", "lead", "nickel"];
var Icolor = ["#ffffff", "#ffff00", "#B87333", "#9b9b9b", "#99aabb", "#727472"];

// "gold"

StartupEvents.registry("item", (event) => {
  for (const element of items) {
    event
      .create(element + "_dust")
      .texture("kubejs:item/iron_dust")
      .color(Icolor[items.indexOf(element)]);
  }
  for (const element of items) {
    event
      .create(element + "_float")
      .texture("kubejs:item/iron_float")
      .color(Icolor[items.indexOf(element)]);
  }
  for (const element of items) {
    event
      .create(element + "_chunk")
      .texture("kubejs:item/iron_chunk")
      .color(Icolor[items.indexOf(element)]);
  }
});
